clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::IncludeStructure Class Reference

`#include <Headers.h>`

Collaboration diagram for clang::clangd::IncludeStructure:
[legend]

## Public Member Functions
llvm::StringMap< unsigned > | includeDepth (llvm::StringRef Root) const
void | recordInclude (llvm::StringRef IncludingName, llvm::StringRef IncludedName, llvm::StringRef IncludedRealName)

## Public Attributes
std::vector< Inclusion > | MainFileIncludes

## Detailed Description

Definition at line 109 of file Headers.h.

## Member Function Documentation

## ◆ includeDepth()

llvm::StringMap< unsigned > clang::clangd::IncludeStructure::includeDepth | ( | llvm::StringRef | Root | ) | const

Definition at line 136 of file Headers.cpp.

## ◆ recordInclude()

void clang::clangd::IncludeStructure::recordInclude | ( | llvm::StringRef | IncludingName,
|  | llvm::StringRef | IncludedName,
|  | llvm::StringRef | IncludedRealName
| ) |  |

Definition at line 118 of file Headers.cpp.

## Member Data Documentation

## ◆ MainFileIncludes

std::vector<Inclusion> clang::clangd::IncludeStructure::MainFileIncludes

Definition at line 111 of file Headers.h.

The documentation for this class was generated from the following files:

- Headers.h
- Headers.cpp